@-webkit-keyframes robotAnimated {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}
@keyframes robotAnimated {
  0%, 100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  z-index: 10;
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--first-color);
}

:root {
  --color-senai: #e30613;
  --color-senai-blue: #005caa;
}

.menu {
  display: flex;
  position: fixed;
  width: 100%;
  z-index: 11;
  padding: 5px 10px;
  background-color: transparent;
  transition: 200ms;
}

.menu .logo-white {
  display: block;
}

.menu .logo-red {
  display: none;
}

.menu.active {
  background-color: var(--first-color);
  box-shadow: 1px 1px 50px rgba(0, 0, 0, 0.062745098);
}

.menu.active .logo-white {
  display: none;
}

.menu.active .logo-red {
  display: block;
}

.menu .container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}
.menu .container .logo {
  width: 250px;
}
.menu .container .logo img {
  width: 100%;
}

.welcome {
  position: relative;
  width: 100%;
  height: 100vh;
  background-size: cover;
  display: flex;
  justify-content: center;
  z-index: 1;
}
.welcome .description {
  color: #ffffff;
  text-align: center;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
@media (max-width: 700px) {
  .welcome .description {
    -webkit-backdrop-filter: blur(20px);
            backdrop-filter: blur(20px);
  }
}
.welcome .description h1 {
  font-size: 3em;
  text-transform: uppercase;
  color: rgba(255, 255, 255, 0.5019607843);
  -webkit-text-stroke: 1px #ffffff;
}
.welcome .message {
  position: absolute;
  right: 10px;
  bottom: 20px;
  display: flex;
  align-items: flex-start;
}
@media (max-width: 700px) {
  .welcome .message {
    display: none;
  }
}
.welcome .message .box-message {
  background-color: #ffffff;
  border-radius: 10px;
  max-width: 300px;
  position: relative;
  padding: 20px;
  -webkit-animation: robotAnimated 6s infinite;
          animation: robotAnimated 6s infinite;
}
.welcome .message .box-message .triangle {
  position: absolute;
  right: -20px;
  top: 45%;
  height: 0;
  width: 0;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-left: 30px solid #FFFFFF;
}
.welcome .message .box-message p {
  font-size: 0.8em;
}
.welcome .message .robot {
  position: relative;
  -webkit-animation: robotAnimated 4s infinite;
          animation: robotAnimated 4s infinite;
}
.welcome .message .robot img {
  width: 250px;
  transform: rotateY(180deg);
}

.helpers {
  gap: 70px;
}
.helpers section {
  padding: 30px 0;
}
.helpers section .container {
  display: flex;
  flex-direction: column;
  gap: 15px;
}
.helpers section .container .title {
  margin-top: 40px;
}
.helpers section .container .title h2 {
  font-size: 2.2em;
  font-weight: 700;
  color: var(--text900);
}
@media (max-width: 600px) {
  .helpers section .container .title h2 {
    font-size: 2.2em;
  }
}
.helpers section .container .title p {
  font-size: 1.2em;
  color: var(--text800);
  margin: 5px 0 0;
}
@media (max-width: 600px) {
  .helpers section .container .title p {
    font-size: 1.5em;
  }
}
.helpers section .container .steps {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 100px;
}
@media (max-width: 700px) {
  .helpers section .container .steps {
    gap: 75px;
  }
}
.helpers section .container .steps .step {
  min-height: 500px;
  height: 100%;
  display: flex;
  justify-content: center;
  gap: 50px;
}
@media (max-width: 650px) {
  .helpers section .container .steps .step {
    gap: 30px;
    min-height: auto;
  }
}
.helpers section .container .steps .step .box {
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
}
.helpers section .container .steps .step .box.column {
  flex-direction: column;
  align-items: flex-start;
}
.helpers section .container .steps .step .box.column .box-image img {
  max-width: 100%;
}
@media (max-width: 820px) {
  .helpers section .container .steps .step .box {
    align-items: flex-start;
    flex-direction: column;
  }
}
.helpers section .container .steps .step .box .box-image {
  border-radius: 10px;
}
.helpers section .container .steps .step .box .box-image img {
  max-width: 400px;
  filter: drop-shadow(1px 1px 50px rgba(0, 0, 0, 0.062745098));
}
@media (max-width: 700px) {
  .helpers section .container .steps .step .box .box-image img {
    width: 100%;
  }
}
@media (max-width: 700px) {
  .helpers section .container .steps .step .box .box-description {
    margin-bottom: 15px;
  }
}
.helpers section .container .steps .step .box .box-description h4 {
  font-size: 2.4em;
  font-weight: 600;
  color: var(--text900);
}
@media (max-width: 700px) {
  .helpers section .container .steps .step .box .box-description h4 {
    font-size: 1.4em;
    margin-bottom: 5px;
  }
}
.helpers section .container .steps .step .box .box-description p {
  color: var(--text800);
}
.helpers section .container .steps .step .box .box-description a {
  color: var(--text900) !important;
  text-decoration: underline;
}
.helpers section .container .progress {
  width: 5px;
  background-color: var(--first-color);
  border-radius: 10px;
  max-height: 600px;
}
.helpers section .container .progress .progress-bar {
  position: relative;
  width: 100%;
  height: 100%;
}
.helpers section .container .progress .progress-bar .progress-bar__steps {
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
}
.helpers section .container .progress .progress-bar .progress-bar__steps .point {
  width: 40px;
  height: 40px;
  background-color: var(--first-color);
  color: white;
  font-weight: 900;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0 0 10px;
  z-index: 200;
  border: 5px solid var(--second-color);
  transition: 0.6s;
}
.helpers section .container .progress .progress-bar .progress-bar__steps .point span {
  opacity: 0;
}
.helpers section .container .progress .progress-bar .progress-bar__steps .point.next {
  background-color: var(--color-senai);
}
.helpers section .container .progress .progress-bar .progress-bar__steps .point.next span {
  opacity: 1;
}
.helpers section .container .progress .progress-bar .progress-bar__bar {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--color-senai);
  border-radius: 10px;
  height: 0;
  border-radius: 50px;
}

.morph-circle {
  position: fixed;
  bottom: -50px;
  width: 50px;
  height: 50px;
  background-color: var(--second-color);
  border-radius: 50%;
  left: calc(50% - 20px);
  z-index: 1 !important;
}

@media (max-width: 768px) {
  
  body {
    background-color: var(--second-color);
  }
  
  .morph-circle {
    display: none;
  }

}

.contact {
  display: flex;
  flex-direction: column;
}
.contact .questions {
  display: flex;
  justify-content: space-between;
  margin-bottom: 30px;
}
.contact .questions h2 {
  font-size: 32px;
  color: var(--text900);
}
.contact .questions .icons {
  display: flex;
  gap: 20px;
}
.contact .questions .icons .point {
  width: 40px;
  height: 40px;
  background-color: black;
  color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 22px;
  transform: scale(0.7);
}
@media (max-width: 700px) {
  .contact .questions .icons .point {
    width: 30px;
    height: 30px;
    font-size: 16px;
  }
}
.contact .info {
  padding: 20px 0;
  display: flex;
  flex-direction: column;
  gap: 15px;
}
    .contact .info .info-details {
        color: var(--text800);
        font-size: 0.9em;
        line-height: 1.45rem;
    }
.contact .info h3 {
  text-transform: uppercase;
  color: var(--text900);
}
.contact .info h3 strong {
  color: var(--color-senai);
}
.contact .info p {
  color: var(--text900);
}
.contact .info p strong {
  color: var(--text900);
  margin-right: 10px;
}
.contact .info ol {
  margin: 0 0 0 15px;
  color: var(--text800);
}
.contact .info ol li {
  padding: 5px 0;
  font-size: 0.9em;
}
.contact .info ol li strong {
  color: var(--text900);
}
.contact mark {
  background-color: var(--color-senai);
  color: #ffffff;
  padding: 1px 1px;
}

footer {
  width: 100%;
  color: var(--text900);
  padding: 30px 0;
}
footer .container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 15px;
}
@media (max-width: 650px) {
  footer .container {
    flex-direction: column;
    align-items: start;
  }
}
footer .network {
  display: flex;
  gap: 20px;
}
footer .network a {
  display: flex;
  width: 40px;
  height: 40px;
  background-color: var(--first-color);
  align-items: center;
  justify-content: center;
  color: var(--text900);
  text-decoration: none;
  border-radius: 10px;
  font-size: 20px;
  transition: 0.4s;
}
footer .network a:hover {
  background-color: var(--color-senai);
  color: #ffffff;
}
footer p {
  font-weight: 500;
}

.container {
  width: 100%;
  max-width: 1140px;
  margin: 0 auto;
  padding: 0 20px;
}

.theme-dark .welcome {
  background-image: url(../images/background-dark.png);
}

.theme-light .welcome {
  background-image: url(../images/background.png);
}

.theme-dark .img-dark {
  display: block;
}

.theme-light .img-light {
  display: block;
}

.theme-dark .img-light {
  display: none;
}

.theme-light .img-dark {
  display: none;
}

.mt-4 {
    margin-top: 1rem;
}